<%--
  - Author: hanno
  - Version: 1.0
  - Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
  -
  - Description: This is the jsp to search for degree day data.
--%>
<%@page import="com.enerallies.weather.controller.SearchDegreeDayForm"%>
<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title></title>
<!-- External CSS -->
<link href="css/jquery-ui.css" type="text/css" rel="stylesheet" media="screen" />
<link href="css/screen.css" type="text/css" rel="stylesheet" media="screen" />
<!-- External Javascript -->
<script src="js/jquery-1.8.3.min.js" type="text/javascript"></script>
<script src="js/jquery-ui.js" type="text/javascript"></script>
<script src="js/jquery-ui-timepicker-addon.js" type="text/javascript"></script>
<script src="js/jquery-ui-sliderAccess.js" type="text/javascript"></script>
<script src="js/scripts.js" type="text/javascript"></script>
</head>
<body>
  <div id="wrapper">
    <jsp:include page="common/header.jsp" />
    <div id="content">
      <a href="index.do">Home</a> | <a href="searchWeatherData.do">Retrieve Weather Data </a>
      <h2>Calculating Degree Day Input screen</h2>
      <div class="box">
        <form:form id="searchForm" method="post" action="searchDegreeDayData.do" modelAttribute="form" enctype="multipart/form-data">
          <jsp:include page="common/errorMessage.jsp" />
          <span class="corner tl"></span>
          <span class="corner tr"></span>
          <span class="corner bl"></span>
          <span class="corner br"></span>
          <div class="row">
            <label>Enter City and State or Zip Code:</label> <input id='inputLoc' name="locationOrZip" type="text" value="${form.locationOrZip}" />
          </div>
          <!--End .row-->
          <div class="row">
            <label>Beginning Date:</label> <input name="beginningDate" id="beginningDate" type="text" class="datepicker" value="${form.beginningDate}" />
          </div>
          <!--End .row-->
          <div class="row">
            <label>Ending Date:</label> <input name="endDate" id="endDate" type="text" class="datepicker" value="${form.endDate}" /> <span id="timeSpan"></span>
          </div>
          <!--End .row-->
          <div class="row">
            <label>Degree Day Type :</label> <select name="degreeDayType" id="degreeDayTypeDropDown">
              <option value="Please select">Please select</option>
              <option value="COOLING">Cooling</option>
              <option value="HEATING">Heating</option>
            </select>
          </div>
          <span id="hiddenDegreeDayType" style="display: none;">${form.degreeDayType}</span>
          <!--End .row-->
          <div class="row">
            <label>Degree Type :</label> <select name="degreeType" id="degreeTypeDropDown">
              <option value="FAHRENHEIT">Fahrenheit</option>
              <option value="CELSIUS">Celsius</option>
            </select>
          </div>
          <span id="hiddenDegreeType" style="display: none;">${form.degreeType}</span>
          <!--End .row-->
          <div class="row">
            <label>Setpoint Schedule File for Import:</label>
            <div id="upload-file-container">
              <input id="inputFile" name="importFile" type="file" />
            </div>
          </div>
          <!--End .row-->
          <div class="row">
            <label></label>
            <div>
              <a href="javascript:;" onclick="clearDDSearch();">Clear Search Fields</a>
            </div>
          </div>
          <!--End .row-->
          <div class="setPoint">
            <h3>Setpoint Schedule</h3>
            <p class="selectRow">
              <label for="sd">single day</label><input type="radio" name="setpointSchedule" id="sd" value="SINGLE_DAY" /> <label for="dw">7 days a week</label><input type="radio"
                name="setpointSchedule" value="SEVEN_DAYS" id="dw"
              />
            </p>
            <span id="hiddenSetpointSchedule" style="display: none;">${form.setpointSchedule}</span>
            <div class="forSD hide">
              <h4>
                <span>Time</span><span>Setpoint </span>
              </h4>
              <c:forEach begin="0" end="6" varStatus="cIndex">
                <p>
                  <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                    name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                  />
                </p>
              </c:forEach>
            </div>
            <div class="fordw hide">
              <div class="dayRow">
                <div class="headTitle">
                  <div class="headTitleRight">
                    <div class="headTitleMiddle">
                      <a href="javascript:;" class="hideExpand hideBtn"></a> Sunday
                    </div>
                  </div>
                </div>
                <div class="dayContent">
                  Copy from <a href="javascript:;" onclick="copy(0, 7);">SingleDay</a> <a href="javascript:;" onclick="copy(14, 7);">Mon</a> <a href="javascript:;"
                    onclick="copy(21, 7);"
                  >Tue</a> <a href="javascript:;" onclick="copy(28,7 );">Wed</a> <a href="javascript:;" onclick="copy(35, 7);">Thurs</a> <a href="javascript:;" onclick="copy(42, 7);">Fri</a>
                  <a href="javascript:;" onclick="copy(49, 7);">Sat</a>
                  <c:forEach begin="7" end="13" varStatus="cIndex">
                    <p>
                      <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                        name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                      />
                    </p>
                  </c:forEach>
                </div>
                <!--End .dayContent-->
              </div>
              <!--End .dayRow-->
              <div class="dayRow">
                <div class="headTitle">
                  <div class="headTitleRight">
                    <div class="headTitleMiddle">
                      <a href="javascript:;" class="hideExpand expandBtn"></a> Monday
                    </div>
                  </div>
                </div>
                <div class="dayContent hide">
                  Copy from <a href="javascript:;" onclick="copy(0, 14);">SingleDay</a> <a href="javascript:;" onclick="copy(7, 14);">Sun</a> <a href="javascript:;"
                    onclick="copy(21, 14);"
                  >Tue</a> <a href="javascript:;" onclick="copy(28, 14);">Wed</a> <a href="javascript:;" onclick="copy(35, 14);">Thurs</a> <a href="javascript:;"
                    onclick="copy(42, 14);"
                  >Fri</a> <a href="javascript:;" onclick="copy(49, 14);">Sat</a>
                  <c:forEach begin="14" end="20" varStatus="cIndex">
                    <p>
                      <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                        name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                      />
                    </p>
                  </c:forEach>
                </div>
                <!--End .dayContent-->
              </div>
              <!--End .dayRow-->
              <div class="dayRow">
                <div class="headTitle">
                  <div class="headTitleRight">
                    <div class="headTitleMiddle">
                      <a href="javascript:;" class="hideExpand expandBtn"></a> Tuesday
                    </div>
                  </div>
                </div>
                <div class="dayContent hide">
                  Copy from <a href="javascript:;" onclick="copy(0, 21);">SingleDay</a> <a href="javascript:;" onclick="copy(7, 21);">Sun</a> <a href="javascript:;"
                    onclick="copy(14, 21);"
                  >Mon</a> <a href="javascript:;" onclick="copy(28,21 );">Wed</a> <a href="javascript:;" onclick="copy(35, 21);">Thurs</a> <a href="javascript:;"
                    onclick="copy(42, 21);"
                  >Fri</a> <a href="javascript:;" onclick="copy(49, 21);">Sat</a>
                  <c:forEach begin="21" end="27" varStatus="cIndex">
                    <p>
                      <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                        name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                      />
                    </p>
                  </c:forEach>
                </div>
                <!--End .dayContent-->
              </div>
              <!--End .dayRow-->
              <div class="dayRow">
                <div class="headTitle">
                  <div class="headTitleRight">
                    <div class="headTitleMiddle">
                      <a href="javascript:;" class="hideExpand expandBtn"></a> Wednesday
                    </div>
                  </div>
                </div>
                <div class="dayContent hide">
                  Copy from <a href="javascript:;" onclick="copy(0, 28);">SingleDay</a> <a href="javascript:;" onclick="copy(7, 28);">Sun</a> <a href="javascript:;"
                    onclick="copy(14, 28);"
                  >Mon</a> <a href="javascript:;" onclick="copy(21, 28);">Tue</a> <a href="javascript:;" onclick="copy(35, 28);">Thurs</a> <a href="javascript:;"
                    onclick="copy(42, 28);"
                  >Fri</a> <a href="javascript:;" onclick="copy(49, 28);">Sat</a>
                  <c:forEach begin="28" end="34" varStatus="cIndex">
                    <p>
                      <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                        name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                      />
                    </p>
                  </c:forEach>
                </div>
                <!--End .dayContent-->
              </div>
              <!--End .dayRow-->
              <div class="dayRow">
                <div class="headTitle">
                  <div class="headTitleRight">
                    <div class="headTitleMiddle">
                      <a href="javascript:;" class="hideExpand expandBtn"></a> Thursday
                    </div>
                  </div>
                </div>
                <div class="dayContent hide">
                  Copy from <a href="javascript:;" onclick="copy(0, 35);">SingleDay</a> <a href="javascript:;" onclick="copy(7, 35);">Sun</a> <a href="javascript:;"
                    onclick="copy(14, 35);"
                  >Mon</a> <a href="javascript:;" onclick="copy(21, 35);">Tue</a> <a href="javascript:;" onclick="copy(28, 35);">Wed</a> <a href="javascript:;"
                    onclick="copy(42, 35);"
                  >Fri</a> <a href="javascript:;" onclick="copy(49, 35);">Sat</a>
                  <c:forEach begin="35" end="41" varStatus="cIndex">
                    <p>
                      <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                        name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                      />
                    </p>
                  </c:forEach>
                </div>
                <!--End .dayContent-->
              </div>
              <!--End .dayRow-->
              <div class="dayRow">
                <div class="headTitle">
                  <div class="headTitleRight">
                    <div class="headTitleMiddle">
                      <a href="javascript:;" class="hideExpand expandBtn"></a> Friday
                    </div>
                  </div>
                </div>
                <div class="dayContent hide">
                  Copy from <a href="javascript:;" onclick="copy(0, 42);">SingleDay</a> <a href="javascript:;" onclick="copy(7, 42);">Sun</a> <a href="javascript:;"
                    onclick="copy(14, 42);"
                  >Mon</a> <a href="javascript:;" onclick="copy(21, 42);">Tue</a> <a href="javascript:;" onclick="copy(28, 42);">Wed</a> <a href="javascript:;" onclick="copy(35,42);">Thurs</a>
                  <a href="javascript:;" onclick="copy(49, 42);">Sat</a>
                  <c:forEach begin="42" end="48" varStatus="cIndex">
                    <p>
                      <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                        name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                      />
                    </p>
                  </c:forEach>
                </div>
                <!--End .dayContent-->
              </div>
              <!--End .dayRow-->
              <div class="dayRow">
                <div class="headTitle">
                  <div class="headTitleRight">
                    <div class="headTitleMiddle">
                      <a href="javascript:;" class="hideExpand expandBtn"></a> Saturday
                    </div>
                  </div>
                </div>
                <!--End headTitle-->
                <div class="dayContent hide">
                  Copy from <a href="javascript:;" onclick="copy(0, 49);">SingleDay</a> <a href="javascript:;" onclick="copy(7, 49);">Sun</a> <a href="javascript:;"
                    onclick="copy(14,49 );"
                  >Mon</a> <a href="javascript:;" onclick="copy(21,49 );">Tue</a> <a href="javascript:;" onclick="copy(28,49 );">Wed</a> <a href="javascript:;"
                    onclick="copy(35,49 );"
                  >Thurs</a> <a href="javascript:;" onclick="copy(42, 49);">Fri</a>
                  <c:forEach begin="49" end="55" varStatus="cIndex">
                    <p>
                      <input name="times[${cIndex.index}]" id="times_${cIndex.index}" type="text" class="timepicker" value="${form.times[cIndex.index]}" /> <input
                        name="setpoints[${cIndex.index}]" id="setpoints_${cIndex.index}" type="text" value="${form.setpoints[cIndex.index]}"
                      />
                    </p>
                  </c:forEach>
                </div>
                <!--End .dayContent-->
              </div>
              <!--End .dayRow-->
            </div>
          </div>
          <!--End .setPoint-->
          <div class="row">
            <label></label>
            <div>
              <a href="javascript:;" onclick="clearSP();">Clear Setpoints</a>
            </div>
          </div>
          <!--End .row-->
          <p class="buttonGroup">
            <a href="javascript:;" onclick="importSetpointSchedule();" class="button searchTo9"><span class="right"><span class="middle">Import Setpoints</span></span></a> <a
              href="javascript:;" onclick="exportSetpointSchedule();" class="button searchTo9"
            ><span class="right"><span class="middle">Export Setpoints</span></span></a> <a href="javascript:;" onclick="submitSearch('searchDegreeDayData.do');"
              class="button searchTo9"
            ><span class="right"><span class="middle">Generate Degree Days</span></span></a>
          </p>
        </form:form>
      </div>
    </div>
    <!--End #content-->
    <jsp:include page="common/footer.jsp" />
  </div>
  <!--End #wrapper-->
</body>
</html>
