<%--
  - Author: hanno
  - Version: 1.0
  - Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
  -
  - Description: This is the jsp to search for degree day data.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title></title>
<!-- External CSS -->
<link href="css/jquery-ui.css" type="text/css" rel="stylesheet" media="screen" />
<link href="css/screen.css" type="text/css" rel="stylesheet" media="screen" />
<!-- External Javascript -->
<script src="js/jquery-1.8.3.min.js" type="text/javascript"></script>
<script src="js/jquery-ui.js" type="text/javascript"></script>
<script src="js/jquery-ui-timepicker-addon.js" type="text/javascript"></script>
<script src="js/jquery-ui-sliderAccess.js" type="text/javascript"></script>
<script src="js/scripts.js" type="text/javascript"></script>
</head>
<body>
  <div id="wrapper">
    <jsp:include page="common/header.jsp" />
    <div id="content">
      <a href="index.do">Home</a> | <a href="javascript:void(0)" onclick="window.location.replace(document.referrer);">Back</a> | <a href="searchWeatherData.do">Retrieve
        Weather Data </a>
      <h2>
        <c:choose>
          <c:when test="${degreeDayData.degreeDayType=='COOLING'}">Cooling</c:when>
          <c:otherwise>Heating</c:otherwise>
        </c:choose>
        Degree Day Output Screen
      </h2>
      <div class="box">
        <span class="corner tl"></span> <span class="corner tr"></span> <span class="corner bl"></span> <span class="corner br"></span>
        <div class="result dailyResultTable">
          <div class="resultHeader">
            <span style="margin-left: 1px;">${locationOrZip}</span>
          </div>
          <!--End .resultHeader-->
          <table width="100%" border="1" cellpadding="" cellspacing="" class="default">
            <tr>
              <th>Description:</th>
              <td colspan="7"><c:choose>
                  <c:when test="${degreeDayData.degreeType=='FAHRENHEIT'}">Fahrenheit</c:when>
                  <c:otherwise>Celsius</c:otherwise>
                </c:choose>-based <c:choose>
                  <c:when test="${degreeDayData.degreeDayType=='COOLING'}">cooling</c:when>
                  <c:otherwise>heating</c:otherwise>
                </c:choose> degree days</td>
            </tr>
            <tr>
              <th>Station:</th>
              <td colspan="6">${degreeDayData.station}</td>
              <td>&nbsp;</td>
            </tr>
            <tr>
              <th>Station ID:</th>
              <td>${degreeDayData.stationId}</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr>
              <th>&nbsp;</th>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr>
              <th>Date</th>
              <td><c:choose>
                  <c:when test="${degreeDayData.degreeDayType=='COOLING'}">CDD</c:when>
                  <c:otherwise>HDD</c:otherwise>
                </c:choose></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <c:forEach items="${degreeDayData.degreeDays}" var="dd" varStatus="status">
              <tr>
                <th class="alignRight"><fmt:formatDate value="${dd.date}" pattern="MM/dd/yyyy" /></th>
                <td class="alignRight"><fmt:formatNumber value="${dd.degreeDay}" pattern="##0.00" /></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
            </c:forEach>
            <tr>
              <th>&nbsp;</th>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
            <tr>
              <th>Total DD:</th>
              <td class="alignRight"><fmt:formatNumber value="${degreeDayData.totalDD}" pattern="##0.00" /></td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
              <td>&nbsp;</td>
            </tr>
          </table>
        </div>
        <!--End .dailyResultTable-->
        <form:form id="exportForm" method="post" action="exportDegreeDayData.do" class="hide" modelAttribute="form">
          <input id="exportDir" name="exportDirection" type="hidden" value="HORIZONTAL" />
          <input name="locationOrZip" type="hidden" value="${locationOrZip}" />
          <input name="beginningDate" type="hidden" value="${beginningDate}" />
          <input name="endDate" type="hidden" value="${endDate}" />
          <input name="degreeDayType" type="hidden" value="${degreeDayType}" />
          <input name="degreeType" type="hidden" value="${degreeType}" />
          <input name="setpointSchedule" type="hidden" value="${setpointSchedule}" />
          <c:forEach items="${times}" var="time" varStatus="status">
            <input name="times[${status.index}]" type="hidden" value="${time}" />
          </c:forEach>
          <c:forEach items="${setpoints}" var="setpoint" varStatus="status">
            <input name="setpoints[${status.index}]" type="hidden" value="${setpoint}" />
          </c:forEach>
        </form:form>
        <p class="buttonGroup">
          <a href="javascript:;" onclick="exportData('HORIZONTAL');" class="button"><span class="right"><span class="middle">Export Data Horizontally</span></span></a> <a
            href="javascript:;" onclick="exportData('VERTICAL');" class="button"
          ><span class="right"><span class="middle">Export Data Vertically</span></span></a>
        </p>
      </div>
      <!--End .box-->
    </div>
    <!--End #content-->
    <jsp:include page="common/footer.jsp" />
  </div>
  <!--End #wrapper-->
</body>
</html>
