<%--
  - Author: hanno
  - Version: 1.0
  - Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
  -
  - Description: This is the jsp to show the weather data search results.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title></title>
<!-- External CSS -->
<link href="css/jquery-ui.css" type="text/css" rel="stylesheet" media="screen" />
<link href="css/screen.css" type="text/css" rel="stylesheet" media="screen" />
<!-- External Javascript -->
<script src="js/jquery-1.8.3.min.js" type="text/javascript"></script>
<script src="js/jquery-ui.js" type="text/javascript"></script>
<script src="js/scripts.js" type="text/javascript"></script>
</head>
<body>
  <div id="wrapper">
    <jsp:include page="common/header.jsp" />
    <div id="content">
      <a href="index.do">Home</a> | <a href="javascript:void(0)" onclick="window.location.replace(document.referrer);">Back</a> | <a href="searchDegreeDayData.do">Calculate Degree Day</a>
      <h2>Retrieve Weather Output Screen</h2>
      <div class="box">
        <span class="corner tl"></span> <span class="corner tr"></span> <span class="corner bl"></span> <span class="corner br"></span>
        <div class="result hourlyResultTable">
          <div class="resultHeader">
            <span style="margin-left: 1px;">${locationOrZip}</span> <span class="rightPage"><a id="btnFirst" href="javascript:void(0)" onclick="showFirstTable();">|&lt;</a><span
              id="spanFirst"
            >|&lt;</span> <a id="btnPrev" href="javascript:void(0)" onclick="showPreviousTable();">&lt;&lt;</a><span id="spanPrev">&lt;&lt;</span> Page <span
              id="currentPage"
            >1</span> of <span id="totalPages">1</span> <a id="btnNext" href="javascript:void(0)" onclick="showNextTable();">&gt;&gt;</a><span id="spanNext">&gt;&gt;</span>
            <a id="btnLast" href="javascript:void(0)" onclick="showLastTable();">&gt;|</a><span id="spanLast">&gt;|</span>
            </span>
            <span id="headerDate" class="summary"></span>
          </div>
          <!--End .resultHeader-->
          <div class="resultInner">
            <div class="headTitle">
              <div class="headTitleRight">
                <div class="headTitleMiddle">
                  <a href="javascript:;" class="hideExpand hideBtn"></a> <span>Hourly Observation</span>
                </div>
              </div>
            </div>
            <div class="hourlyContainer">
              <c:forEach items="${weatherData}" var="weatherDataEntry" varStatus="status">
                <fmt:formatDate value="${weatherDataEntry.key}" pattern="yyyyMMddHHmmss" var="weatherDataFormattedDate" />
                <span id="span_${weatherDataFormattedDate}" class="hide"><fmt:formatDate value="${weatherDataEntry.key}" pattern="MMMM dd, yyyy" /></span>
                <script>
                	tableIds.push(${weatherDataFormattedDate});
                </script>
                <table id="tbl_${weatherDataFormattedDate}" cellpadding="" cellspacing="" class="resultTable hide">
                  <thead>
                    <tr>
                      <th class="first">
                        <div>Time (pdt)</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Temp. (&deg;F)</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Dew Point (&deg;F)</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Humidity (%)</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Visibility (mph)</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Wind Dir.</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Wind Speed (mph)</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Gust Speed (mph)</div> <span class="sep"></span>
                      </th>
                      <th>
                        <div>Precip (in)</div> <span class="sep"></span>
                      </th>
                      <th class="last">
                        <div class="firstCol">Date (UTC)</div>
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <c:forEach items="${weatherData[weatherDataEntry.key]}" var="row" varStatus="weatherDataStatus">
                      <tr>
                        <td><fmt:formatDate value="${row.time}" pattern="hh:mm aa" timeZone="${row.timeZone}" /></td>
                        <td class="alt"><fmt:formatNumber value="${row.temperature}" pattern="##0.00" /></td>
                        <td><fmt:formatNumber value="${row.dewPoint}" pattern="##0.00" /></td>
                        <td class="alt"><fmt:formatNumber value="${row.humidity}" /></td>
                        <td><fmt:formatNumber value="${row.visibility}" pattern="##0.00" /></td>
                        <td class="alt">${row.windDirection}</td>
                        <td><fmt:formatNumber value="${row.windSpeed}" pattern="##0.00" /></td>
                        <td class="alt"><fmt:formatNumber value="${row.gustSpeed}" pattern="##0.00" /></td>
                        <td><fmt:formatNumber value="${row.precip}" pattern="##0.00" /></td>
                        <td class="alt"><fmt:formatDate value="${row.utcDate}" pattern="yyyy/MM/dd HH:mm" timeZone="UTC" /></td>
                      </tr>
                    </c:forEach>
                  </tbody>
                </table>
              </c:forEach>
            </div>
            <!--End .hourlyContainer-->
          </div>
          <!--End .resultInner-->
        </div>
        <!-- .hourlyResultTable-->
        <form:form id="exportForm" method="post" action="exportWeatherData.do" class="hide" modelAttribute="form">
          <input id="exportDir" name="exportDirection" type="hidden" value="HORIZONTAL" />
          <input name="locationOrZip" type="hidden" value="${locationOrZip}" />
          <input name="beginningDate" type="hidden" value="${beginningDate}" />
          <input name="endDate" type="hidden" value="${endDate}" />
        </form:form>
        <p class="buttonGroup">
          <a href="javascript:void(0)" onclick="exportData('HORIZONTAL');" class="button"><span class="right"><span class="middle">Export Data Horizontally</span></span></a> <a
            href="javascript:void(0)" onclick="exportData('VERTICAL');" class="button"
          ><span class="right"><span class="middle">Export Data Vertically</span></span></a>
        </p>
      </div>
      <!--End .box-->
    </div>
    <!--End #content-->
    <jsp:include page="common/footer.jsp" />
  </div>
  <!--End #wrapper-->
</body>
</html>
