/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.enerallies.weather.controller;

import org.springframework.web.multipart.MultipartFile;

/**
 * Form data for degree day search.
 *
 * @author Standlove, hanno
 * @version 1.0
 */
public class SearchDegreeDayForm extends SearchWeatherDataForm {
    /**
     * Index where the week schedule starts.
     */
    public static final int START_OF_WEEK_SCHEDULE = 7;

    /**
     * Maximum number of setpoints in input form.
     */
    public static final int MAX_SETPOINTS = 56;

    /**
     * Degree day type.
     */
    private String degreeDayType;

    /**
     * Degree type.
     */
    private String degreeType;

    /**
     * Setpoint schedule.
     */
    private String setpointSchedule;

    /**
     * Time values.
     */
    private String[] times = new String[MAX_SETPOINTS];

    /**
     * Setpoint values.
     */
    private String[] setpoints = new String[MAX_SETPOINTS];

    /**
     * File of setpoints.
     */
    private MultipartFile importFile;

    /**
     * Constructor.
     */
    public SearchDegreeDayForm() {
        for (int i = 0; i < MAX_SETPOINTS; i++) {
            times[i] = "HH:MM";
            setpoints[i] = "";
        }
    }

    /**
     * Returns the times.
     *
     * @return the times
     */
    public String[] getTimes() {
        return times;
    }

    /**
     * Returns the degreeDayType.
     *
     * @return the degreeDayType
     */
    public String getDegreeDayType() {
        return degreeDayType;
    }

    /**
     * Sets the degreeDayType.
     *
     * @param degreeDayType
     *            the new degreeDayType to set
     */
    public void setDegreeDayType(String degreeDayType) {
        this.degreeDayType = degreeDayType;
    }

    /**
     * Returns the degreeType.
     *
     * @return the degreeType
     */
    public String getDegreeType() {
        return degreeType;
    }

    /**
     * Sets the degreeType.
     *
     * @param degreeType
     *            the new degreeType to set
     */
    public void setDegreeType(String degreeType) {
        this.degreeType = degreeType;
    }

    /**
     * Sets the times.
     *
     * @param times
     *            the new times to set
     */
    public void setTimes(String[] times) {
        this.times = times;
    }

    /**
     * Returns the setpoints.
     *
     * @return the setpoints
     */
    public String[] getSetpoints() {
        return setpoints;
    }

    /**
     * Sets the setpoints.
     *
     * @param setpoints
     *            the new setpoints to set
     */
    public void setSetpoints(String[] setpoints) {
        this.setpoints = setpoints;
    }

    /**
     * Returns the setpointSchedule.
     *
     * @return the setpointSchedule
     */
    public String getSetpointSchedule() {
        return setpointSchedule;
    }

    /**
     * Sets the setpointSchedule.
     *
     * @param setpointSchedule
     *            the new setpointSchedule to set
     */
    public void setSetpointSchedule(String setpointSchedule) {
        this.setpointSchedule = setpointSchedule;
    }

    /**
     * Returns the importFile.
     *
     * @return the importFile
     */
    public MultipartFile getImportFile() {
        return importFile;
    }

    /**
     * Sets the importFile.
     *
     * @param importFile
     *            the new importFile to set
     */
    public void setImportFile(MultipartFile importFile) {
        this.importFile = importFile;
    }
}
