/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.enerallies.weather.controller;

import com.enerallies.weather.entity.ExportDirection;

/**
 * Input form for weather data.
 *
 * @author TSCASSEMBLER
 * @version 1.0
 */
public class SearchWeatherDataForm {
    /**
     * Default date for empty cells.
     */
    private static final String DEFAULT_DATE = "mm/dd/yyyy";

    /**
     * Location or ZIP.
     */
    private String locationOrZip;

    /**
     * Begin date.
     */
    private String beginningDate;

    /**
     * End date.
     */
    private String endDate;

    /**
     * Export direction.
     */
    private ExportDirection exportDirection;

    /**
     * Default constructor.
     */
    public SearchWeatherDataForm() {
        setBeginningDate(DEFAULT_DATE);
        setEndDate(DEFAULT_DATE);
    }

    /**
     * Returns the locationOrZip.
     *
     * @return the locationOrZip
     */
    public String getLocationOrZip() {
        return locationOrZip;
    }

    /**
     * Sets the locationOrZip.
     *
     * @param locationOrZip
     *            the new locationOrZip to set
     */
    public void setLocationOrZip(String locationOrZip) {
        this.locationOrZip = locationOrZip;
    }

    /**
     * Returns the beginningDate.
     *
     * @return the beginningDate
     */
    public String getBeginningDate() {
        return beginningDate;
    }

    /**
     * Sets the beginningDate.
     *
     * @param beginningDate
     *            the new beginningDate to set
     */
    public void setBeginningDate(String beginningDate) {
        this.beginningDate = beginningDate;
    }

    /**
     * Returns the endDate.
     *
     * @return the endDate
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * Sets the endDate.
     *
     * @param endDate
     *            the new endDate to set
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    /**
     * Returns the exportDirection.
     *
     * @return the exportDirection
     */
    public ExportDirection getExportDirection() {
        return exportDirection;
    }

    /**
     * Sets the exportDirection.
     *
     * @param exportDirection
     *            the new exportDirection to set
     */
    public void setExportDirection(ExportDirection exportDirection) {
        this.exportDirection = exportDirection;
    }
}
