/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.enerallies.weather.entity;

import java.util.Date;

/**
 * Entity for degree day.
 *
 * <p>
 * <b>Thread Safety:</b> This class is not thread safe since it is mutable.
 * </p>
 *
 * @author Standlove, hanno
 * @version 1.0
 */
public class DegreeDay {
    /**
     * The date when the temperature was measured.
     */
    private Date date;

    /**
     * The temperature.
     */
    private double degreeDay;

    /**
     * Empty constructor for entity class.
     */
    public DegreeDay() {
        // empty
    }

    /**
     * Returns the date.
     *
     * @return the date
     */
    public Date getDate() {
        return date;
    }

    /**
     * Sets the date.
     *
     * @param date
     *            the new date to set
     */
    public void setDate(Date date) {
        this.date = date;
    }

    /**
     * Returns the degreeDay.
     *
     * @return the degreeDay
     */
    public double getDegreeDay() {
        return degreeDay;
    }

    /**
     * Sets the degreeDay.
     *
     * @param degreeDay
     *            the new degreeDay to set
     */
    public void setDegreeDay(double degreeDay) {
        this.degreeDay = degreeDay;
    }
}
