/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.enerallies.weather.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * Entity for search criteria for degree day.
 *
 * <p>
 * <b>Thread Safety:</b> This class is not thread safe since it is mutable.
 * </p>
 *
 * @author Standlove, hanno
 * @version 1.0
 */
public class DegreeDaySearchCriteria extends WeatherDataSearchCriteria {
    /**
     * The degree day type.
     */
    private DegreeDayType degreeDayType;

    /**
     * the degree type.
     */
    private DegreeType degreeType;

    /**
     * The setpoint schedule.
     */
    private SetpointSchedule setpointSchedule;

    /**
     * The list of setpoints.
     */
    private List<Setpoint> setpoints = new ArrayList<Setpoint>();

    /**
     * Empty constructor for entity class.
     */
    public DegreeDaySearchCriteria() {
        // empty
    }

    /**
     * Returns the degreeDayType.
     *
     * @return the degreeDayType
     */
    public DegreeDayType getDegreeDayType() {
        return degreeDayType;
    }

    /**
     * Sets the degreeDayType.
     *
     * @param degreeDayType
     *            the new degreeDayType to set
     */
    public void setDegreeDayType(DegreeDayType degreeDayType) {
        this.degreeDayType = degreeDayType;
    }

    /**
     * Returns the degreeType.
     *
     * @return the degreeType
     */
    public DegreeType getDegreeType() {
        return degreeType;
    }

    /**
     * Sets the degreeType.
     *
     * @param degreeType
     *            the new degreeType to set
     */
    public void setDegreeType(DegreeType degreeType) {
        this.degreeType = degreeType;
    }

    /**
     * Returns the setpointSchedule.
     *
     * @return the setpointSchedule
     */
    public SetpointSchedule getSetpointSchedule() {
        return setpointSchedule;
    }

    /**
     * Sets the setpointSchedule.
     *
     * @param setpointSchedule
     *            the new setpointSchedule to set
     */
    public void setSetpointSchedule(SetpointSchedule setpointSchedule) {
        this.setpointSchedule = setpointSchedule;
    }

    /**
     * Returns the setpoints.
     *
     * @return the setpoints
     */
    public List<Setpoint> getSetpoints() {
        return setpoints;
    }

    /**
     * Sets the setpoints.
     *
     * @param setpoints
     *            the new setpoints to set
     */
    public void setSetpoints(List<Setpoint> setpoints) {
        this.setpoints = setpoints;
    }
}
