/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.enerallies.weather.entity;

import java.util.Date;

/**
 * Entity for a setpoint on a specific date.
 *
 * <p>
 * <b>Thread Safety:</b> This class is not thread safe since it is mutable.
 * </p>
 *
 * @author Standlove, hanno
 * @version 1.0
 */
public class Setpoint {
    /**
     * The time.
     */
    private Date time;

    /**
     * The setpoint.
     */
    private double setpoint;

    /**
     * Empty constructor for entity class.
     */
    public Setpoint() {
        // empty
    }

    /**
     * Returns the time.
     *
     * @return the time
     */
    public Date getTime() {
        return time;
    }

    /**
     * Sets the time.
     *
     * @param time
     *            the new time to set
     */
    public void setTime(Date time) {
        this.time = time;
    }

    /**
     * Returns the setpoint.
     *
     * @return the setpoint
     */
    public double getSetpoint() {
        return setpoint;
    }

    /**
     * Sets the setpoint.
     *
     * @param setpoint
     *            the new setpoint to set
     */
    public void setSetpoint(double setpoint) {
        this.setpoint = setpoint;
    }
}
