/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.enerallies.weather.entity;

import java.util.Date;

/**
 * Entity for search criteria for weather data.
 *
 * <p>
 * <b>Thread Safety:</b> This class is not thread safe since it is mutable.
 * </p>
 *
 * @author Standlove, hanno
 * @version 1.0
 */
public class WeatherDataSearchCriteria {
    /**
     * The city.
     */
    private String city;

    /**
     * The state.
     */
    private String state;

    /**
     * The ZIP code.
     */
    private String zipCode;

    /**
     * Start date.
     */
    private Date beginningDate;

    /**
     * End date.
     */
    private Date endDate;

    /**
     * Empty constructor for entity class.
     */
    public WeatherDataSearchCriteria() {
        // empty
    }

    /**
     * Returns the city.
     *
     * @return the city
     */
    public String getCity() {
        return city;
    }

    /**
     * Sets the city.
     *
     * @param city
     *            the new city to set
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * Returns the state.
     *
     * @return the state
     */
    public String getState() {
        return state;
    }

    /**
     * Sets the state.
     *
     * @param state
     *            the new state to set
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * Returns the zipCode.
     *
     * @return the zipCode
     */
    public String getZipCode() {
        return zipCode;
    }

    /**
     * Sets the zipCode.
     *
     * @param zipCode
     *            the new zipCode to set
     */
    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    /**
     * Returns the beginningDate.
     *
     * @return the beginningDate
     */
    public Date getBeginningDate() {
        return beginningDate;
    }

    /**
     * Sets the beginningDate.
     *
     * @param beginningDate
     *            the new beginningDate to set
     */
    public void setBeginningDate(Date beginningDate) {
        this.beginningDate = beginningDate;
    }

    /**
     * Returns the endDate.
     *
     * @return the endDate
     */
    public Date getEndDate() {
        return endDate;
    }

    /**
     * Sets the endDate.
     *
     * @param endDate
     *            the new endDate to set
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
