/*
 * Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
 */
package com.enerallies.weather.service;

/**
 * Exception for all weather data service related errors.
 *
 * <p>
 * <b>Thread Safety:</b> This class is not thread safe since it is mutable but
 * it will be used in a thread safe manner.
 * </p>
 *
 * @author Standlove, hanno
 * @version 1.0
 */
public class WeatherDataServiceException extends Exception {
    /**
     * A serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Creates a new instance.
     *
     * @param message
     *            error message.
     */
    public WeatherDataServiceException(String message) {
        super(message);
    }

    /**
     * Creates a new instance.
     *
     * @param message
     *            error message
     * @param cause
     *            the cause of the error
     */
    public WeatherDataServiceException(String message, Throwable cause) {
        super(message, cause);
    }
}
